/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2014 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/******************************************************************************
* File Name    : deep_standby_cancel.h
* $Rev: 1254 $
* $Date:: 2014-09-04 15:29:06 +0900#$
* Description  : Canceling from deep standby mode sample header
******************************************************************************/
#ifndef DEEP_STANDBY_CANCEL_H
#define DEEP_STANDBY_CANCEL_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "devdrv_rtc.h"         /* RTC Driver Header */

/******************************************************************************
Typedef definitions
******************************************************************************/


/******************************************************************************
Macro definitions
******************************************************************************/
/* ==== Realtime Clock ==== */
/* The definition in the state where deep standby mode was canceled by RTC alarm interrupt */
#define STB_GENERATE_ALARM_INT      (1)
/* The definition in the state where deep standby mode was not canceled by RTC alarm interrupt */
/* (Startup from power-on reset also uses this definition)                                     */
#define STB_NO_GENERATE_ALARM_INT   (0)

/******************************************************************************
Variable Externs
******************************************************************************/


/******************************************************************************
Functions Prototypes
******************************************************************************/
void     STB_CancelDeepStandby(void);
uint32_t RTC_GetTimeCanDeepStb(rtc_time_t * time);


#endif  /* DEEP_STANDBY_CANCEL_H */

/* End of File */
