/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2014 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/******************************************************************************
* File Name    : sample_rtc.h
* $Rev: 1131 $
* $Date:: 2014-08-07 15:23:35 +0900#$
* Description  : Realtime Clock(RTC) sample program header
******************************************************************************/
#ifndef SAMPLE_RTC_H
#define SAMPLE_RTC_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "command.h"

/******************************************************************************
Macro definitions
******************************************************************************/


/******************************************************************************
Variable Externs
******************************************************************************/


/******************************************************************************
Functions Prototypes
******************************************************************************/
int32_t Sample_RTC_Main(int32_t argc, char_t ** argv);
int32_t Sample_RTC_Help(int32_t argc, char_t ** argv);
int32_t Sample_RTC_Exit(int32_t argc, char_t ** argv);

int32_t Sample_RTC_Init(int32_t argc, char_t ** argv);
int32_t Sample_RTC_SetTime(int32_t argc, char_t ** argv);
int32_t Sample_RTC_GetTime(int32_t argc, char_t ** argv);
int32_t Sample_RTC_Start(int32_t argc, char_t ** argv);
int32_t Sample_RTC_Stop(int32_t argc, char_t ** argv);
int32_t Sample_RTC_DeepStandby(int32_t argc, char_t ** argv);

void    Sample_RTC_TransitionDeepStandby(void);

const command_list_t * Sample_RTC_GetCmdList(void);


#endif  /* SAMPLE_RTC_H */

/* End of File */
